OpenAPI specification
Release: ActiveSingle operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
Create currency exchange quote.
/ch/v1/funds/currency-exchange-ratesUse this payload to retrieve currency exchange rates.
Showing 10 of 10 top-level parameters (20 total fields) for Create Quote with source amount and calculated target amount
Client-Request-IdRequiredstringheaderUnique request correlation identifier used in HMAC signing.
TimestampRequiredstringheaderUnix epoch timestamp in milliseconds used in HMAC signing.
Auth-Token-TypeRequiredstringheaderAuthentication mechanism used by the request.
Available enum values
Selecting a value updates the request header.
AuthorizationRequiredstringheaderBase64 HMAC-SHA-256 signature; no prefix.
sourceCurrencyRequiredobjectAmount object to support the request for payment.
targetCurrencyRequiredobjectTarget currency for an FX quote. total is optional because the service calculates the target amount.
sellerRequiredobjectThe seller field.
sourceobjectPayment source details.
merchantDetailsobjectUsed to pass merchant specific data during the transaction.
partyobjectParty data. CREATE requires type, country, email, and platform identifiers; UPDATE, REPLACE, and PROVISION require partyId. Additional completeness fields may be required before PROVISION.
Request
Create Quote with source amount and calculated target amountResponse
Top-level fields returned in a successful (201) response.
gatewayResponseobjectGateway response and transaction state. Use transactionId or apiTraceId to track asynchronous completion.
rateobjectFunds rate details.
curl --request POST 'https://connect-cert.fiservapis.net/ch/v1/funds/currency-exchange-rates' \
--header 'Client-Request-Id: <Client-Request-Id>' \
--header 'Timestamp: <Timestamp>' \
--header 'Auth-Token-Type: HMAC' \
--header 'Authorization: YOUR_BASE64_HMAC_SIGNATURE' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
"source": {
"sourceType": "PaymentToken",
"tokenData": "<tokenized-source>",
"tokenSource": "FISERV_SECURE_VAULT"
},
"sourceCurrency": {
"total": 170,
"currency": "USD"
},
"targetCurrency": {
"currency": "INR"
},
"merchantDetails": {
"merchantId": "10400000000011",
"terminalId": "10000001"
},
"party": {
"partyId": "100000000010001"
},
"seller": {
"externalId": "701150108"
}
}'| HTTP | Description |
|---|---|
| 400 | The request cannot be validated. |
| 401 | The request was unauthorized. |
| 404 | The requested resource does not exist. |
| 408 | The request was timed out due to not receiving the request in time. |
| 415 | The media type is not supported. |
| 425 | The request was sent too early. |
| 429 | Too many request were sent. |
| 500 | An unexpected internal server error occurred. |
| 503 | The service was unavailable. |
| 504 | The request timed out while waiting for a response. |
Single operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
No Postman workflow is mapped to this operation. No product-wide collection is substituted.
QA collections: Configure your environment and credentials before running. Some requests create resources or move funds.